Debian Bug report logs - #386344
apt-proxy: APT-Proxy has Problems with ~ in package-names

version graph

Package: apt-proxy; Maintainer for apt-proxy is (unknown);

Reported by: "Daniel 'DaB.' Baur" <debian@daniel.baur4.info>

Date: Wed, 6 Sep 2006 23:03:20 UTC

Severity: minor

Tags: moreinfo, unreproducible

Found in version apt-proxy/1.9.35

Fixed in version apt-proxy/1.9.35-0.1

Done: sesse@debian.org (Steinar H. Gunderson)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Security Team <team@security.debian.org>, Chris Halls <halls@debian.org>:
Bug#386344; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to "Daniel 'DaB.' Baur" <debian@daniel.baur4.info>:
New Bug report received and forwarded. Copy sent to Debian Security Team <team@security.debian.org>, Chris Halls <halls@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Daniel 'DaB.' Baur" <debian@daniel.baur4.info>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-proxy: APT-Proxy has Problems with ~ in package-names
Date: Thu, 07 Sep 2006 00:29:34 +0200
Package: apt-proxy
Version: 1.9.35
Severity: grave
Tags: security
Justification: renders package unusable

Apt-Proxy can not handle Package, which have the new ~ in there names.
A example is libkrb5-dev_1.4.4~beta1-1_i386.deb which gives a "404 file not found on
backend" error. Please fix it, because it is unpossible to play in any
packages or security-updates.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16.20
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages apt-proxy depends on:
ii  adduser                       3.96       Add and remove users and groups
ii  bzip2                         1.0.3-3    high-quality block-sorting file co
ii  debconf [debconf-2.0]         1.5.3      Debian configuration management sy
ii  logrotate                     3.7.1-3    Log rotation utility
ii  python                        2.3.5-11   An interactive high-level object-o
ii  python-apt                    0.6.19     Python interface to libapt-pkg
ii  python-central                0.5.5      register and build utility for Pyt
ii  python-twisted-web            0.6.0-1    An HTTP protocol implementation to

apt-proxy recommends no packages.

-- debconf information:
  apt-proxy/upgrading-v2:
  apt-proxy/upgrading-v2-result:



Tags added: moreinfo Request was from Chris Halls <halls@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#386344; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to Chris Halls <halls@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 386344@bugs.debian.org (full text, mbox):

From: Chris Halls <halls@debian.org>
To: "Daniel 'DaB.' Baur" <debian@daniel.baur4.info>, 386344@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#386344: apt-proxy: APT-Proxy has Problems with ~ in package-names
Date: Thu, 7 Sep 2006 09:17:14 +0100
package apt-proxy
tags 386344 + moreinfo
thanks

On Wednesday 06 September 2006 23:29, Daniel 'DaB.' Baur wrote:
> Package: apt-proxy
> Version: 1.9.35
> Severity: grave
> Tags: security
> Justification: renders package unusable
>
> Apt-Proxy can not handle Package, which have the new ~ in there names.
> A example is libkrb5-dev_1.4.4~beta1-1_i386.deb which gives a "404 file not
> found on backend" error. Please fix it, because it is unpossible to play in
> any packages or security-updates.

$ sudo apt-get install brazilian-conjugate
[...]
Get: 1 http://aptproxy testing/main brazilian-conjugate 3.0~beta4-1 [104kB]
Fetched 104kB in 0s (153kB/s)

It doesn't seem to be purely down to a '~' in the filename. It might be 
something in your configuration. For example, I am using an http backend but 
you could be using another type. The best thing is to turn on debug info in 
your apt-proxy-v2.conf:

debug = all:9 db:7

Then restart apt-proxy, and send a copy of /var/log/apt-proxy.log for the 
session where you try to get the file. When you do the test, can you also 
please check that the backend server you are using really has the file - 
sometimes mirrors can get out of sync.

Thanks
Chris



Tags removed: security Request was from Chris Halls <halls@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Halls <halls@debian.org>:
Bug#386344; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to Russell Steicke <russells@adelie.cx>:
Extra info received and forwarded to list. Copy sent to Chris Halls <halls@debian.org>. Full text and rfc822 format available.

Message #19 received at 386344@bugs.debian.org (full text, mbox):

From: Russell Steicke <russells@adelie.cx>
To: 386344@bugs.debian.org
Subject: apt-proxy: APT-Proxy has Problems with ~ in package-names: detailed output
Date: Sun, 17 Sep 2006 00:25:29 +0800
I'm also seeing this problem.  Here's my apt-proxy-v2.conf and some detailed
output.  I hope this helps.


$ cat /etc/apt-proxy/apt-proxy-v2.conf
[DEFAULT]
;; All times are in seconds, but you can add a suffix
;; for minutes(m), hours(h) or days(d)

;; Server IP to listen on
;address = 192.168.0.254

;; Server port to listen on
port = 9999

;; Control files (Packages/Sources/Contents) refresh rate
;;
;; Minimum time between attempts to refresh a file
min_refresh_delay = 1h

;; Minimum age of a file before attempting an update (NOT YET IMPLEMENTED)
;min_age = 23h

;; Uncomment to make apt-proxy continue downloading even if all
;; clients disconnect.  This is probably not a good idea on a
;; dial up line.
;; complete_clientless_downloads = 1

;; Debugging settings.
;; for all debug information use this:
;; debug = all:9
;debug = all:4 db:0
debug = all:9 db:7

;; Debugging remote python console
;; Do not enable in an untrusted environment
;telnet_port = 9998
;telnet_user = apt-proxy
;telnet_password = secret

;; Network timeout when retrieving from backend servers
timeout = 15

;; Cache directory for apt-proxy
cache_dir = /var/cache/apt-proxy

;; Use passive FTP? (default=on)
;passive_ftp = on

;; Use HTTP proxy?
;http_proxy = host:port

;; Enable HTTP pipelining within apt-proxy (for test purposes)
;disable_pipelining=0

;;--------------------------------------------------------------
;; Cache housekeeping

;; Time to perform periodic housekeeping:
;;  - delete files that have not been accessed in max_age
;;  - scan cache directories and update internal tables
cleanup_freq = 1d

;; Maximum age of files before deletion from the cache (seconds)
max_age = 120d

;; Maximum number of versions of a .deb to keep per distribution
max_versions = 4

;; Add HTTP backends dynamicaly if not already defined? (default=on)
;dynamic_backends = on

;;---------------------------------------------------------------
;;---------------------------------------------------------------
;; Backend servers
;;
;; Place each server in its own [section]

;[main]
;backends =
;       ftp://ftp.wa.au.debian.org/debian

[debian]
backends =
        ftp://ftp.au.debian.org/debian
        ftp://ftp.wa.au.debian.org/debian
        rsync://mirror.aarnet.edu.au/debian

[security]
backends =
        http://security.debian.org

[non-US]
backends =
        rsync://ftp.wa.au.debian.org/debian-non-US
        ftp://ftp.au.debian.org/pub/debian-non-US


$ 


$ sudo apt-get install cdrecord
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
  wodim
Suggested packages:
  xcdroast cdrtools-doc cdrkit-doc
The following NEW packages will be installed
  wodim
The following packages will be upgraded:
  cdrecord
1 upgraded, 1 newly installed, 0 to remove and 526 not upgraded.
Need to get 395kB of archives.
After unpacking 221kB disk space will be freed.
Do you want to continue [Y/n]? 
Errhttp://localhost sid/main cdrecord 5:1.0~pre4-1
  404 file not found on backend
Errhttp://localhost sid/main wodim 5:1.0~pre4-1
  404 file not found on backend
Failed to fetch http://localhost:9999/debian/pool/main/c/cdrkit/cdrecord_1.0~pre4-1_all.deb  404 file not found on backend
Failed to fetch http://localhost:9999/debian/pool/main/c/cdrkit/wodim_1.0~pre4-1_powerpc.deb  404 file not found on backend
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
$ 


$ sudo tail -F /var/log/apt-proxy.log
[10 lines deleted...]
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [Request] New Request, queued=0
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] Header: Host: localhost:9999
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] Header: Connection: keep-alive
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] Header: User-Agent: Debian APT-HTTP/1.3
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] Headers: Host: localhost:9999, Connection: keep-alive, User-Agent: Debian APT-HTTP/1.3
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [Request] Request: GET /debian/pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb backend=debian uri=/debian/pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] backend: debian [<apt_proxy.apt_proxy.BackendServer instance at 0xf7c0fa08>, <apt_proxy.apt_proxy.BackendServer instance at 0xf7c0fa30>, <apt_proxy.apt_proxy.BackendServer instance at 0xf7c0fa58>]
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] New Cache entry: pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [CacheEntry] start download:pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [DownloadQueuePerClient] Adding new queue for client id 7
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [DownloadQueue] start next download (debian/pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb)
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [DownloadQueue] creating new fetcher
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [fetcher] fetcher start:cdrecord_1.0%7epre4-1_all.deb
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [Fetcher] Downloading: /var/cache/apt-proxy/debian/pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [fetcher] Connecting to backend server (debian) ftp://ftp.au.debian.org:21
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [Request] New Request, queued=1
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] Header: Host: localhost:9999
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] Header: Connection: keep-alive
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] Header: User-Agent: Debian APT-HTTP/1.3
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] Headers: Host: localhost:9999, Connection: keep-alive, User-Agent: Debian APT-HTTP/1.3
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [Request] Request: GET /debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb backend=debian uri=/debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] backend: debian [<apt_proxy.apt_proxy.BackendServer instance at 0xf7c0fa08>, <apt_proxy.apt_proxy.BackendServer instance at 0xf7c0fa30>, <apt_proxy.apt_proxy.BackendServer instance at 0xf7c0fa58>]
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [debug] New Cache entry: pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [CacheEntry] start download:pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [DownloadQueue] queue file debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [-] [ftp_client] Got control connection, using passive ftp
2006/09/17 00:12 WST [-] [Fetcher] Connected to ftp://ftp.au.debian.org/debian
2006/09/17 00:12 WST [-] [Fetcher] downloading:pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb mtime:None
2006/09/17 00:12 WST [FTPClient,client] --> 220 ProFTPD  Server (PlanetMirror FTP2) [203.16.234.85]
2006/09/17 00:12 WST [FTPClient,client] <-- USER anonymous
2006/09/17 00:12 WST [FTPClient,client] --> 331 Anonymous login ok, send your complete email address as your password.
2006/09/17 00:12 WST [FTPClient,client] <-- PASS twisted@twistedmatrix.com
2006/09/17 00:12 WST [FTPClient,client] --> 230 Anonymous access granted, restrictions apply.
2006/09/17 00:12 WST [FTPClient,client] <-- TYPE I
2006/09/17 00:12 WST [FTPClient,client] --> 200 Type set to I
2006/09/17 00:12 WST [FTPClient,client] <-- MDTM /debian/pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb
2006/09/17 00:12 WST [FTPClient,client] --> 550 /debian/pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb: No such file or directory
2006/09/17 00:12 WST [FTPClient,client] [ftp_client] ftp fetch of Mtime failed: ['550 /debian/pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb: No such file or directory'] code:550
2006/09/17 00:12 WST [FTPClient,client] [fetcher] (/debian) file not found: pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb
2006/09/17 00:12 WST [FTPClient,client] [Fetcher] download_failed: (404) file not found on backend 
2006/09/17 00:12 WST [FTPClient,client] [CacheEntry] download_failure /var/cache/apt-proxy/debian/pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb: (404) file not found on backend
2006/09/17 00:12 WST [FTPClient,client] [Request] finishCode: 404, file not found on backend
2006/09/17 00:12 WST [FTPClient,client] [Request] finish. Queued: 0
2006/09/17 00:12 WST [FTPClient,client] [cacheEntry] Last request removed
2006/09/17 00:12 WST [FTPClient,client] [Backend] entry_done: pool/main/c/cdrkit/cdrecord_1.0%7epre4-1_all.deb
2006/09/17 00:12 WST [FTPClient,client] [DownloadQueue] download failed: file not found on backend
2006/09/17 00:12 WST [FTPClient,client] [DownloadQueue] start next download (debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb)
2006/09/17 00:12 WST [FTPClient,client] [DownloadQueue] keeping backend server
2006/09/17 00:12 WST [FTPClient,client] [fetcher] fetcher start:wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [FTPClient,client] [Fetcher] Downloading: /var/cache/apt-proxy/debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [FTPClient,client] [Fetcher] downloading:pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb mtime:None
2006/09/17 00:12 WST [FTPClient,client] <-- MDTM /debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [FTPClient,client] --> 550 /debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb: No such file or directory
2006/09/17 00:12 WST [FTPClient,client] [ftp_client] ftp fetch of Mtime failed: ['550 /debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb: No such file or directory'] code:550
2006/09/17 00:12 WST [FTPClient,client] [fetcher] (/debian) file not found: pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [FTPClient,client] [Fetcher] download_failed: (404) file not found on backend 
2006/09/17 00:12 WST [FTPClient,client] [CacheEntry] download_failure /var/cache/apt-proxy/debian/pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb: (404) file not found on backend
2006/09/17 00:12 WST [FTPClient,client] [Request] finishCode: 404, file not found on backend
2006/09/17 00:12 WST [FTPClient,client] [Request] finish. Queued: 0
2006/09/17 00:12 WST [FTPClient,client] [cacheEntry] Last request removed
2006/09/17 00:12 WST [FTPClient,client] [Backend] entry_done: pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [FTPClient,client] [DownloadQueue] download failed: file not found on backend
2006/09/17 00:12 WST [FTPClient,client] [DownloadQueue] download queue is empty
2006/09/17 00:12 WST [Channel,1,127.0.0.1] [Channel] Client connection closed
2006/09/17 00:12 WST [Channel,1,127.0.0.1] Top 10:
2006/09/17 00:12 WST [Channel,1,127.0.0.1]        279 WeakKeyDictionary
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         80 Exception
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         35 Ephemeral
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         29 Logger
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         24 StandardError
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         24 Protocol
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         19 ProtocolToConsumerAdapter
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         17 Warning
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         17 ValueError
2006/09/17 00:12 WST [Channel,1,127.0.0.1]         17 FileType
2006/09/17 00:12 WST [-] [DownloadQueue] closing fetcher [(debian) ftp://ftp.au.debian.org:21]
2006/09/17 00:12 WST [-] [Fetcher] disconnect pool/main/c/cdrkit/wodim_1.0%7epre4-1_powerpc.deb
2006/09/17 00:12 WST [-] [ftp_client] disconnecting
2006/09/17 00:12 WST [-] <-- QUIT
2006/09/17 00:12 WST [-] [DownloadQueuePerClient] Removing queue for client id 7



And...

$ wget ftp://ftp.au.debian.org/debian/pool/main/c/cdrkit/cdrecord_1.0~pre4-1_all.deb
--00:16:12--  ftp://ftp.au.debian.org/debian/pool/main/c/cdrkit/cdrecord_1.0~pre4-1_all.deb
           => `cdrecord_1.0~pre4-1_all.deb'
Resolving ftp.au.debian.org... 203.16.234.85, 203.16.234.86
Connecting to ftp.au.debian.org|203.16.234.85|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /debian/pool/main/c/cdrkit ... done.
==> PASV ... done.    ==> RETR cdrecord_1.0~pre4-1_all.deb ... done.
Length: 1,110 (1.1K) (unauthoritative)

100%[=================================================================================>] 1,110         --.--K/s             

00:16:17 (25.71 KB/s) - `cdrecord_1.0~pre4-1_all.deb' saved [1110]

$ 






Tags added: unreproducible Request was from Max Kellermann <max@duempel.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `minor' from `grave' Request was from Max Kellermann <max@duempel.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Halls <halls@debian.org>:
Bug#386344; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to Paul Broadhead <misclist_1@twinmoons.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to Chris Halls <halls@debian.org>. Full text and rfc822 format available.

Message #28 received at 386344@bugs.debian.org (full text, mbox):

From: Paul Broadhead <misclist_1@twinmoons.clara.co.uk>
To: 386344@bugs.debian.org
Subject: Re: Bug#386344: apt-proxy: APT-Proxy has Problems with ~ in package-names
Date: Tue, 31 Oct 2006 12:12:22 +0000
I had two backends using ftp, changed these to http and the packages
download and install just fine.




Reply sent to sesse@debian.org (Steinar H. Gunderson):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Daniel 'DaB.' Baur" <debian@daniel.baur4.info>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 386344-close@bugs.debian.org (full text, mbox):

From: sesse@debian.org (Steinar H. Gunderson)
To: 386344-close@bugs.debian.org
Subject: Bug#386344: fixed in apt-proxy 1.9.35-0.1
Date: Wed, 27 Dec 2006 12:02:02 +0000
Source: apt-proxy
Source-Version: 1.9.35-0.1

We believe that the bug you reported is fixed in the latest version of
apt-proxy, which is due to be installed in the Debian FTP archive:

apt-proxy_1.9.35-0.1.dsc
  to pool/main/a/apt-proxy/apt-proxy_1.9.35-0.1.dsc
apt-proxy_1.9.35-0.1.tar.gz
  to pool/main/a/apt-proxy/apt-proxy_1.9.35-0.1.tar.gz
apt-proxy_1.9.35-0.1_all.deb
  to pool/main/a/apt-proxy/apt-proxy_1.9.35-0.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386344@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steinar H. Gunderson <sesse@debian.org> (supplier of updated apt-proxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 27 Dec 2006 12:20:45 +0100
Source: apt-proxy
Binary: apt-proxy
Architecture: source all
Version: 1.9.35-0.1
Distribution: unstable
Urgency: high
Maintainer: Chris Halls <halls@debian.org>
Changed-By: Steinar H. Gunderson <sesse@debian.org>
Description: 
 apt-proxy  - Debian archive proxy and partial mirror builder
Closes: 386344 393483 402481
Changes: 
 apt-proxy (1.9.35-0.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Use "self.filelist" instead of "filelist" in ftpListResult() (in
     fetchers.py), as the latter is a non-existant variable, giving 500
     errors when SIZE failed in an FTP session for some reason.
     (Closes: #402481)
   * Make the FTP fetcher unescape file names before fetching, which makes
     ~ in file names work again with FTP; patch from Ben Hutchings.
     (Closes: #393483, #386344)
Files: 
 ce42aa25d5c6c12776e8ac53a4db6f52 734 admin extra apt-proxy_1.9.35-0.1.dsc
 64f237ab693ab57aeaac4475711e2216 101248 admin extra apt-proxy_1.9.35-0.1.tar.gz
 1b3c3aa61cd43fb59d978904325b75dd 78292 admin extra apt-proxy_1.9.35-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFkly6XKRQ3lK3SH4RAnn7AJ9vuFHxO+OacVu7lkvbedRPyWbCfwCg263W
t6vzHZsPWO8WelIqisSm8PY=
=jA53
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 10:31:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:01:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.